Subject: Re: [PATCH v2] launch_editor: waiting message on error

From: Junio C Hamano <[email-masked]>
Date: Fri, 12 Apr 2024 10:35:38 -0700

Rubén Justo <[email-masked]> writes:

> Yes, but I also see it from another perspective;  I don't want to worry
> about a possible inconvenience.  And since it is perhaps an unexpected
> precaution, for a future reviewer, hence the explicit comment in the
> code.

But then the comment should say it only matters if the editor left
its message incomplete, shouldn't it?  If the editor did the right
thing and terminated its message before it exits with a newline, the
extra LF we emit after it will only waste the vertical screen real
estate.